Retrieve Binder Export Results
After submitting a request to export a binder from your Vault, you can query Vault to determine the results of the request.
Before submitting this request:
- You must have previously requested a binder export job (via the API) which is no longer active.
- You must have a valid
job_idvalue (retrieved from the export binder request above).
GET
/api/{version}/objects/binders/actions/export/{job_id}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The id value of the requested export job. This is returned with the export binder requests above. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v19.3/objects/binders/actions/export/1201/resultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 1201,
"id": 454,
"major_version_number__v": 1,
"minor_version_number__v": 0,
"file": "/1201/454/1_0/Nyaxa Compliance Package.zip",
"user_id__v": 44533
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information: